Skip to main content
`Ctrl`+`K`
scipy.special.

# jnjnp_zeros

scipy.special.jnjnp_zeros(nt)

  Compute zeros of integer-order Bessel functions Jn and Jn’.

  Results are arranged in order of the magnitudes of the zeros.

  Parameters:
    nt int

      Number (<=1200) of zeros to compute

  Returns:
    zo[l-1]ndarray

      Value of the lth zero of Jn(x) and Jn’(x). Of length nt.

    n[l-1]ndarray

      Order of the Jn(x) or Jn’(x) associated with lth zero. Of length nt.

    m[l-1]ndarray

      Serial number of the zeros of Jn(x) or Jn’(x) associated with lth zero. Of length nt.

    t[l-1]ndarray

      0 if lth zero in zo is zero of Jn(x), 1 if it is a zero of Jn’(x). Of length nt.

  See also

  `jn_zeros`, `jnp_zeros`

    to get separated arrays of zeros.

  References

  [1]

  Zhang, Shanjie and Jin, Jianming. “Computation of Special Functions”, John Wiley and Sons, 1996, chapter 5. https://people.sc.fsu.edu/~jburkardt/f77_src/special_functions/special_functions.html